package WEB-INF.classes.wenrgise.hrms.webtier.form;

import java.util.ArrayList;
import javax.servlet.http.HttpServletRequest;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionMapping;
import wenrgise.hrms.webtier.form.HrmBaseForm;

public class HrmGenEligRuleQueryForm extends HrmBaseForm {
  private String docType;
  
  private String[] txtdocCode;
  
  private String[] txteligSql;
  
  private String disabdocType;
  
  private ArrayList arylstGenEligRuleQuery = new ArrayList();
  
  public void reset(ActionMapping mapping, HttpServletRequest request) {
    super.reset(mapping, request);
  }
  
  public ActionErrors validate(ActionMapping mapping, HttpServletRequest request) {
    return super.validate(mapping, request);
  }
  
  public String getDocType() {
    return this.docType;
  }
  
  public void setDocType(String newDocType) {
    this.docType = newDocType;
  }
  
  public String[] getTxtdocCode() {
    return this.txtdocCode;
  }
  
  public void setTxtdocCode(String[] newTxtdocCode) {
    this.txtdocCode = newTxtdocCode;
  }
  
  public String[] getTxteligSql() {
    return this.txteligSql;
  }
  
  public void setTxteligSql(String[] newTxteligSql) {
    this.txteligSql = newTxteligSql;
  }
  
  public String getDisabdocType() {
    return this.disabdocType;
  }
  
  public void setDisabdocType(String newDisabdocType) {
    this.disabdocType = newDisabdocType;
  }
  
  public ArrayList getArylstGenEligRuleQuery() {
    return this.arylstGenEligRuleQuery;
  }
  
  public void setArylstGenEligRuleQuery(ArrayList newArylstGenEligRuleQuery) {
    this.arylstGenEligRuleQuery = newArylstGenEligRuleQuery;
  }
}
